Package org.kapott.hbci.sepa.jaxb.pain_008_001_01

# Class DirectDebitTransaction4

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_001_01.DirectDebitTransaction4

public class DirectDebitTransaction4 extends Object

Java class for DirectDebitTransaction4 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DirectDebitTransaction4">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MndtRltdInf" type="{urn:sepade:xsd:pain.008.001.01}MandateRelatedInformation4"/>
             <element name="CdtrSchmeId" type="{urn:sepade:xsd:pain.008.001.01}PartyIdentification11"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected PartyIdentification11`
`cdtrSchmeId`
`protected MandateRelatedInformation4`
`mndtRltdInf`

## Constructor Summary

Constructors
Constructor
Description
`DirectDebitTransaction4()`

## Method Summary

Modifier and Type
Method
Description
`PartyIdentification11`
`getCdtrSchmeId()`
Gets the value of the cdtrSchmeId property.
`MandateRelatedInformation4`
`getMndtRltdInf()`
Gets the value of the mndtRltdInf property.
`void`
`setCdtrSchmeId(PartyIdentification11 value)`
Sets the value of the cdtrSchmeId property.
`void`
`setMndtRltdInf(MandateRelatedInformation4 value)`
Sets the value of the mndtRltdInf property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mndtRltdInf

protected MandateRelatedInformation4 mndtRltdInf

### cdtrSchmeId

protected PartyIdentification11 cdtrSchmeId

## Constructor Details

### DirectDebitTransaction4

public DirectDebitTransaction4()

## Method Details

### getMndtRltdInf

public MandateRelatedInformation4 getMndtRltdInf()
Gets the value of the mndtRltdInf property.

Returns:
  possible object is `MandateRelatedInformation4`

### setMndtRltdInf

public void setMndtRltdInf(MandateRelatedInformation4 value)
Sets the value of the mndtRltdInf property.

Parameters:
  `value` - allowed object is `MandateRelatedInformation4`

### getCdtrSchmeId

public PartyIdentification11 getCdtrSchmeId()
Gets the value of the cdtrSchmeId property.

Returns:
  possible object is `PartyIdentification11`

### setCdtrSchmeId

public void setCdtrSchmeId(PartyIdentification11 value)
Sets the value of the cdtrSchmeId property.

Parameters:
  `value` - allowed object is `PartyIdentification11`